1. Core Endpoints
Playbook-API
  • Global
    • Overview
    • Base URL (Servers)
    • Authentication
    • Rate Limits + Usage
    • Errors
    • League / sportKey Conventions
    • Support
  • Core Endpoints
    • Health
      GET
    • Me
      GET
    • Teams
      GET
    • Team Stats
      GET
    • Injuries
      GET
    • Splits
      GET
    • Splits (Historical/History)
      GET
    • Odds-Games
      GET
    • Lines
      GET
    • Games
      GET
    • Recent Form
      GET
    • Head-to-Head
      GET
  • MLB
    • Pitcher Stats (Season)
      GET
    • Starting Pitchers
      GET
    • Ballpark Weather
      GET
    • Strikeout Predictor
      GET
  1. Core Endpoints

Odds-Games

GET
https://api.playbook-api.com/v1/odds-games
Last modified:2026-04-05 08:36:57
Get a lightweight schedule of games for a league, including game IDs, teams, and metadata. Use this endpoint to retrieve game IDs before calling heavier endpoints. (like splits)

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.playbook-api.com/v1/odds-games?league=NBA&api_key=YOUR_API_KEY'
Response Response Example
{
    "sportKey": "icehockey_nhl",
    "count": 7,
    "requestsRemaining": null,
    "data": [
        {
            "gameId": "pbk_752a5981491a981b9f1b",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "Detroit Red Wings",
            "awayTeamName": "Minnesota Wild"
        },
        {
            "gameId": "pbk_76fb2c6b14b6a03fa996",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "Pittsburgh Penguins",
            "awayTeamName": "Florida Panthers"
        },
        {
            "gameId": "pbk_facce2d6d1dc330e7659",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "Philadelphia Flyers",
            "awayTeamName": "Boston Bruins"
        },
        {
            "gameId": "pbk_0315740975c373e6597b",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "Ottawa Senators",
            "awayTeamName": "Carolina Hurricanes"
        },
        {
            "gameId": "pbk_2ed72daa32b688334185",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "Montréal Canadiens",
            "awayTeamName": "New Jersey Devils"
        },
        {
            "gameId": "pbk_a1158c2297aed6af6c05",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "New York Rangers",
            "awayTeamName": "Washington Capitals"
        },
        {
            "gameId": "pbk_3b8288854ffcb04ad8aa",
            "sportKey": "icehockey_nhl",
            "sportTitle": "NHL",
            "homeTeamName": "Colorado Avalanche",
            "awayTeamName": "St Louis Blues"
        }
    ]
}
Modified at 2026-04-05 08:36:57
Previous
Splits (Historical/History)
Next
Lines
Built with